Bug 1126156 - geary starts more slowly if nspluginwrapper is not installed
Summary: geary starts more slowly if nspluginwrapper is not installed
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: geary
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-02 20:26 UTC by Aram Agajanian
Modified: 2015-06-29 21:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:54:49 UTC


Attachments (Terms of Use)
Output from geary when run from a bash command line in a terminal without nspluginwrapper installed (3.69 KB, text/plain)
2014-08-02 20:26 UTC, Aram Agajanian
no flags Details

Description Aram Agajanian 2014-08-02 20:26:35 UTC
Created attachment 923497 [details]
Output from geary when run from a bash command line in a terminal without nspluginwrapper installed

Description of problem:
If I start geary while the nspluginwrapper package is not installed, it starts more slowly.


Version-Release number of selected component (if applicable):
geary-0.6.1-2.fc20.x86_64


How reproducible:
Happens every time


Steps to Reproduce:
1. Make sure that nspluginwrapper is not installed
2. Run Geary


Actual results:
Geary starts slowly.  (On my computer, it takes about 40 seconds to start.)


Expected results:
Geary starts more quickly.  (On my computer, it takes less than 20 seconds to start.)


Additional info:
When nspluginwrapper is installed, the output to the terminal when running geary is different when SELinux is enabled or disabled:

SELinux disabled: 

[agajania@pc01 ~]$ geary
*** NSPlugin Viewer  *** ERROR: /usr/lib64/mozilla/plugins/libflashplayer.so: cannot open shared object file: No such file or directory
*** NSPlugin Viewer  *** ERROR: /usr/lib64/mozilla/plugins/libflashplayer.so: cannot open shared object file: No such file or directory
*** NSPlugin Viewer  *** ERROR: /usr/lib64/mozilla/plugins/libflashplayer.so: cannot open shared object file: No such file or directory
*** NSPlugin Wrapper *** ERROR: failed to initialize plugin-side RPC client connection
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:3556):invoke_NP_Initialize: assertion failed: (rpc_method_invoke_possible(g_rpc_connection))
java version "1.7.0_60"
OpenJDK Runtime Environment (fedora-2.5.0.1.fc20-x86_64 u60-b30)
OpenJDK 64-Bit Server VM (build 24.60-b09, mixed mode)
*** NSPlugin Viewer  *** ERROR: /usr/lib64/mozilla/plugins/libnsISpicec.so: cannot open shared object file: No such file or directory
*** NSPlugin Viewer  *** ERROR: /usr/lib64/mozilla/plugins/libnsISpicec.so: cannot open shared object file: No such file or directory
*** NSPlugin Viewer  *** ERROR: /usr/lib64/mozilla/plugins/libnsISpicec.so: cannot open shared object file: No such file or directory
*** NSPlugin Wrapper *** ERROR: failed to initialize plugin-side RPC client connection
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:3556):invoke_NP_Initialize: assertion failed: (rpc_method_invoke_possible(g_rpc_connection))

SELinux enabled:

[agajania@pc01 ~]$ geary
*** NSPlugin Wrapper *** ERROR: failed to initialize plugin-side RPC client connection
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:3556):invoke_NP_Initialize: assertion failed: (rpc_method_invoke_possible(g_rpc_connection))
java version "1.7.0_60"
OpenJDK Runtime Environment (fedora-2.5.0.1.fc20-x86_64 u60-b30)
OpenJDK 64-Bit Server VM (build 24.60-b09, mixed mode)
*** NSPlugin Wrapper *** ERROR: failed to initialize plugin-side RPC client connection
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:3556):invoke_NP_Initialize: assertion failed: (rpc_method_invoke_possible(g_rpc_connection))

Comment 1 Fedora End Of Life 2015-05-29 12:32:59 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 21:54:49 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.